std::chrono::month_weekday::ok(3)

NAME
std::chrono::month_weekday::ok - std::chrono::month_weekday::ok

Synopsis
   constexpr bool ok() const noexcept; (since C++20)
   Checks if the contained month and weekday_indexed objects are valid.

Return value
   month().ok() && weekday_indexed().ok()

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     std::cout << std::boolalpha;
     auto mwdi {std::chrono::March/std::chrono::Friday[1]};
     std::cout << (mwdi.ok()) << ' ';
     mwdi = {std::chrono::month(17)/std::chrono::Friday[1]};
     std::cout << (mwdi.ok()) << ' ';
     mwdi = {std::chrono::March/std::chrono::Friday[-4]};
     std::cout << (mwdi.ok()) << '\n';
 }

Output:
 true false false